Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class LocalClassificationFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protegex.owl.model.framestore.LocalClassificationFrameStore

All Implemented Interfaces:
  edu.stanford.smi.protege.model.framestore.FrameStore

    public class LocalClassificationFrameStore

extends edu.stanford.smi.protege.model.framestore.FrameStoreAdapter

A FrameStore that intercepts any access to those slots that store the classification results and redirects them to values stored in local maps.

Author:
  Holger Knublauch

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`LocalClassificationFrameStore(OWLModel owlModel)`

Method Summary
`void` | `deleteCls(edu.stanford.smi.protege.model.Cls cls)`
`List` | `getDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)`
`int` | `getDirectOwnSlotValuesCount(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)`
`Set` | `getFramesWithDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, Object value)`
`Set<edu.stanford.smi.protege.model.Frame>` | `getFramesWithMatchingDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot, String regexp, int maxMatches)`
`Collection` | `getOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot)`
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, createSlot, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValuesClosure, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalClassificationFrameStore

    public LocalClassificationFrameStore(OWLModel owlModel)

Method Detail

### deleteCls

    public void deleteCls(edu.stanford.smi.protege.model.Cls cls)

  Specified by:
    `deleteCls` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `deleteCls` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### getDirectOwnSlotValues

    public List getDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot)

  Specified by:
    `getDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `getDirectOwnSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### getOwnSlotValues

    public Collection getOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot)

  Specified by:
    `getOwnSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `getOwnSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### getDirectOwnSlotValuesCount

    public int getDirectOwnSlotValuesCount(edu.stanford.smi.protege.model.Frame frame,
                                           edu.stanford.smi.protege.model.Slot slot)

  Specified by:
    `getDirectOwnSlotValuesCount` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `getDirectOwnSlotValuesCount` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### getFramesWithDirectOwnSlotValue

    public Set getFramesWithDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                                               Object value)

  Specified by:
    `getFramesWithDirectOwnSlotValue` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `getFramesWithDirectOwnSlotValue` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### getFramesWithMatchingDirectOwnSlotValue

    public Set<edu.stanford.smi.protege.model.Frame> getFramesWithMatchingDirectOwnSlotValue(edu.stanford.smi.protege.model.Slot slot,
                                                                                             String regexp,
                                                                                             int maxMatches)

  Specified by:
    `getFramesWithMatchingDirectOwnSlotValue` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `getFramesWithMatchingDirectOwnSlotValue` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `setDirectOwnSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.